![Token Wizard DApp](/docs/github_head.png)

# Token Wizard DApp

[![MIT licensed](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/hyperium/hyper/master/LICENSE)
[![Build Status](https://travis-ci.org/poanetwork/token-wizard.svg?branch=master)](https://travis-ci.org/poanetwork/token-wizard)
[![Waffle.io - Columns and their card count](https://badge.waffle.io/poanetwork/token-wizard.svg?columns=all)](http://waffle.io/poanetwork/ico-wizard)
[![Join the chat at https://gitter.im/poanetwork/ico-wizard](https://badges.gitter.im/poanetwork/ico-wizard.svg)](https://gitter.im/poanetwork/ico-wizard?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Coverage Status](https://coveralls.io/repos/github/poanetwork/token-wizard/badge.svg?branch=master)](https://coveralls.io/github/poanetwork/token-wizard?branch=master)

### **_Attention_!**

#### **Please, read the wiki or watch demo before you start to create crowdsales using Token Wizard. Consider deploying on the Mainnet after testing on Kovan testnet or POA's Sokol testnet.**

_A Quote_

> ICO tools should be available for non-coders for free. Raising funds from a crowd is our basic human right.

Token Wizard is a tool to create token and crowdsale contracts in five simple steps. Wizard is based on TokenMarket contracts. Wizard is baked how we like it: decentralized, client side, serverless, open source, free, awesome.

ICOs usually have two or more contracts. One token contract and one or more crowdsale contract plus supplemental contracts, e.g., safe math, pricing strategy, etc. Most token contracts are the same (ERC-20); most crowdsale contracts are different. Token implementation should be stable for compatibility, and it is crucial to connect token to exchanges and wallets. Crowdsale contracts on another side should follow fashion and differentiate a project from others, e.g., create a new type of FOMO, fear of missing out.

This tool is free to use and open source. Although the tool is free to use, deploying contracts to the Ethereum network requires GAS in the form of ETHER. See "Deployment Time & Gas" part of Wiki for estimates. It is recommended to test the Token Wizard on Kovan testnet or POA's Sokol testnet, before deploying to the main network. See below for links to obtain testnet tokens for the Kovan or Sokol networks:

**Deploying on POA's Sokol or Main network is much faster then using Ethereum's networks.**

[Kovan Testnet/faucet - Gitter](https://gitter.im/kovan-testnet/faucet)

[Find out other ways to obtain kETH](https://github.com/kovan-testnet/faucet)

[Sokol Testnet/faucet](https://faucet-sokol.herokuapp.com/)

POA Sokol Network RPC URL: https://sokol.poa.network

POA Main Network RPC URL: https://core.poa.network

For a guide on how to connect to the POA network using MetaMask see [here](https://github.com/poanetwork/token-wizard/wiki/Connecting-to-POA-Networks).

## Security Audit

[Token Wizard security audit](https://github.com/poanetwork/token-wizard/blob/2.0/audit/POA-Network-Wizard-audit-report.pdf) by PepperSec

## Token Wizard DApp Wiki

- [Introduction](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Introduction)
- [Demo](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Demo)
- [Requirements](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Requirements)
- [Strategy](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Strategy)
- [How to run](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-How-to-run)
- [Using POA Networks](https://github.com/poanetwork/token-wizard/wiki/Connecting-to-POA-Networks)
- [Deployment Time & Gas](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Deployment-Time-and-Gas)
- [Verifying Smart-Contracts](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Verifying-Contracts)
- [Projects on Token Wizard](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Projects)
- [Notable Contributors](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Notable-Contributors)
- [Support](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Support)
- [Disclaimer](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Disclaimer)

### Policies

- [Pull Request Policy](https://github.com/poanetwork/token-wizard/wiki/Pull-Request-Policy)

### Managing your Crowdsale

- [Methods for Management](https://github.com/poanetwork/token-wizard/wiki/Token-Wizard-Managing-Crowdsale)

## Support

If you are having any issues while using the Token Wizard DApp, please create a "New Issue" on it's [Github Issues section](https://github.com/poanetwork/token-wizard/issues).

Join the Poa Network Forum at [https://forum.poa.network/](https://forum.poa.network/)

## Disclaimer

The software is in Beta stage.
Token Wizard is constantly under active development. The “Beta” labelling implies that while the core features of the software have been implemented, bugs and issues may still remain undiscovered until this phase of testing is complete. As such, Token Wizard may experience the following issues, but not limited to, during usage:

- lost of tokens/funds from incorrect configuration;
- unexpected delays;
- unexpected visual artifacts.
